.woo-selected-variation-item-name{
    font-size:16px;
}
.list-item-size span.woo-selected-variation-item-name:hover+.list-item-size label .item-size-text,
.list-item-size label .item-size-text:hover+.list-item-size span.woo-selected-variation-item-name,
.list-item-size label .item-size-text:hover,.list-item-size span.woo-selected-variation-item-name:hover{
    color:rgb(0, 0, 0) !important;
}

.custom_size_line{
    position:absolute;
    bottom:-2px;
    border-bottom:solid 2px rgb(194, 0, 0);
    width:100%;
    left:0px;
}

@media screen and (max-width:920px) {

    .custom-size.end-50{
        right:15px !important;
    }
}

.item-size{
   color:rgb(194, 0, 0); 
   cursor:pointer; top:0px;bottom:5px;   
   left: calc(100% - 50%);
}
.item-size .item-text{
    color:rgb(194, 0, 0);
    font-size:16px;
    cursor: pointer;
}
.item-size-text{
    cursor: pointer;
}
.item-size-text:hover{
    color:rgb(194, 0, 0) !important;
}
.item-size .custom_Size_line{
    border-bottom: solid 2px rgb(194, 0, 0) !important;
    /*transition: color 0.3s;*/
    width: 100%;
    left: 0px;
}

.custom-size-width,.custom-size-height{
    color: #374151;
    font-size: 16px;
    border-width: 1px;
    border-radius: 3px !important;
    box-shadow: rgba(0, 0, 0, 0) 0 0 0 0, rgba(0, 0, 0, 0) 0 0 0 0, rgba(0, 0, 0, 0.05) 0 1px 2px 0;
    background-color: #fff;
    border-color: #d1d5db;
}

.custom-size-width.focused,.custom-size-height.focused{
    border: solid 2px rgb(0, 0, 0) !important;
}

.custom-size-width:focus,.custom-size-height:focus{
    border: solid 2px rgb(0, 0, 0) !important;
    transition: all .0s linear !important;
}

.item-size .custom_Size_line::after{
    border-bottom: solid 2px rgb(194, 0, 0);
    /*transform: scaleX(0);
    transform-origin: bottom right;
    transition: transform 0.3s ease, opacity 0.3s ease;
    opacity: 0;*/
}

.item-size:hover .item-text{
    color:rgb(194, 0, 0);
}
.item-size:hover .custom_Size_line{
    border-bottom: solid 2px rgb(194, 0, 0);
}

/** 商品尺寸 */
.list-item-size .size-with
{
    font-size:14px;
    color:#444;
}

.list-item-size .size-height
{
    color:#444;
}

.has-error{
    border:solid 2px #f04949 !important;
}
.has-error-width-tip,
.has-error-height-tip,
.has-error-tip{
    position: absolute;
    margin:6px 0px;
    color: #f04949;
    font-size: 12px;
    height:50px;
    line-height: 1.4;
}